#!/usr/bin/env python
# -*- coding: UTF-8 -*-

import pygtk
pygtk.require("2.0")
import gtk
import gobject

class Ventana_info(gobject.GObject):
    
    __gsignals__ = { "on-close"   : (gobject.SIGNAL_RUN_FIRST, 
                                     gobject.TYPE_NONE, 
                                     [])}
    
    # Display the error dialog
    def __init__(self, cadena):
        super(Ventana_info, self).__init__()
        
        #Declara la interfaz gráfica
        self.gladefile = "./ui/cliente_v2.glade"
        self.wTree = gtk.glade.XML(self.gladefile)
        
        self.v_info = self.wTree.get_widget("Vinfo")
        
        self.label_info = self.wTree.get_widget("label_texto_info")
        self.label_info.set_text(cadena)
        
        self.b_aceptar = self.wTree.get_widget("b_aceptar")
        self.b_aceptar.connect("clicked", self.__aceptar_clicked)
        
    def __aceptar_clicked(self, widget, data=None):
        self.v_info.destroy()
        self.emit("on_close")
    
    def show(self):
        self.v_info.show_all()
        
    